search for: 60a77b3

Displaying 3 results from an estimated 3 matches for "60a77b3".

2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...leanup qemu-io -r -f raw 'nbd+unix://?socket=pattern-largest-for-qemu.sock' \ -c 'r -v 9223372036854774784 512' | grep -E '^[[:xdigit:]]+:' > pattern-largest-for-qemu.out diff --git a/tests/test-pattern-largest.sh b/tests/test-pattern-largest.sh index 2a903bf..60a77b3 100755 --- a/tests/test-pattern-largest.sh +++ b/tests/test-pattern-largest.sh @@ -34,6 +34,7 @@ # Test the pattern plugin with the largest possible size supported # by nbdkit. +source ./functions.sh set -e files="pattern-largest.out pattern-largest.pid pattern-largest.sock" @@ -6...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here: https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html v2: - Fix tab vs spaces in configure.ac. - To generate list of plugins, use printf instead of xargs. - Use 'source ./functions.sh' instead of 'source functions'. - functions.sh: Consistent quoting in foreach_plugin function. - functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...fffffffffffc00: 7f ff ff ff ff ff fc 00 7f ff ff ff ff ff fc 08 ................ @@ -112,5 +91,3 @@ then cat pattern-largest-for-qemu.out exit 1 fi - -# The cleanup() function is called implicitly on exit. diff --git a/tests/test-pattern-largest.sh b/tests/test-pattern-largest.sh index 60a77b3..de5e1d7 100755 --- a/tests/test-pattern-largest.sh +++ b/tests/test-pattern-largest.sh @@ -39,6 +39,7 @@ set -e files="pattern-largest.out pattern-largest.pid pattern-largest.sock" rm -f $files +cleanup_fn rm -f $files # Test that qemu-io works if ! qemu-io --help >/dev/null;...